# lubuntu-tools

A set of scripts, config files, gadgets, software, etc. for doing various tasks in Lubuntu development.

---

lubuntu-tools is designed to be the great catch-all bucket for all things Lubuntu development. If you have some random doohickey that is useful for more than just yourself, but doesn't really fit anywhere else, plop it here.

All files are assumed to be licensed as GPL-3.0+, unless otherwise stated in the file itself or its accompanying documentation.

Everything here should have documentation associated with it, or else it will become like everything else that's thrown in a junk drawer. :P Put a blurb about what each tool is and what it does here in the README. If it needs more extensive documentation, write a short summary here, put the tool in its own folder, and add some documentation alongside it there.

---

## setup-gitea

Gets Lubuntu packaging repos ready for the next release. For each repo you tell it to affect, it will clone it, checkout the branch for the previous release, create a branch for the new release based on that, and then push it and set the new branch as the default branch of the repo.

To use it, open the setup-gitea.py file, and change the variables at the beginning as appropriate. Then open the repo-list file (which ought to be alongside the setup-gitea.py file), and make sure that every repo you want it to affect is in the file. Then do "python3 setup-gitea.py" and it should do its magic.

It's probably safe to include repos that the script shouldn't affect in the repo-list file, as any repos that don't have an ubuntu/PREVIOUSRELEASE branch will be skipped by the script. However, this script does make permanent (though reversible) changes to the repos it affects, so it's worth exercising caution anyway.

You will need a username, password, and API key into Lubuntu's Gitea instance in order to run the script and have it work. Additionally, your user will need the necessary privileges to manage the repos that you intend to change.
